Amplify APIReference
Retrieve a Single PromotedLink
GET
/promotedLinks/{id}Note: some promoted link properties require using the Extra Field notion, e.g. logoMetadata needs extraFields=LogoMetaData.
Authorization
obToken OB-TOKEN-V1<token>
Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.
In: header
Path Parameters
id*string
the PromotedLink id
Query Parameters
promotedLinkImageWidth?string
the width of the image (in pixels) as retrived in imageMetadata.url property, default value: 60
promotedLinkImageHeight?string
the height of the image (in pixels) as retrived in imageMetadata.url property, default value: 60
extraFields?string
the additional promoted link fields you want to include in the response
Response Body
application/json
curl -X GET "https://example.com/promotedLinks/00f4b02153ee75f3c9dc4fc128ab041962?promotedLinkImageWidth=100&promotedLinkImageHeight=100&extraFields=LogoMetaData"{ "id": "00f4b02153ee75f3c9dc4fc128ab041962", "campaignId": "abf4b02153ee75f3cadc4fc128ab0419ab", "text": "Yet another promoted link", "metaData": "This is the metaData of the promoted link", "sectionName": "Economics", "description": "This is the description of the promoted link", "lastModified": "2013-04-15 14:52:13", "creationTime": "2013-01-22 21:17:11", "url": "http://money.cnn.com/2013/11/26/news/economy/milk-farm-bill/", "status": "APPROVED", "approvalStatus": { "status": "Approved", "isEditable": false }, "enabled": true, "archived": true, "documentLanguage": "EN", "cpc": 0.35, "baseUrl": "http://money.cnn.com/2013/11/26/news/economy/milk-farm-bill/", "onAirStatus": { "onAir": false, "reason": "ADVERTISER_DISABLED" }, "imageMetadata": { "requestedImageUrl": "http://images.outbrain.com/imageserver/v2/s/gtE/n/plcyz/abc/iGYzT/plcyz-f8A-158x114.jpg", "originalImageUrl": "http://images.outbrain.com/imageserver/v2/s/gtE/n/plcyz/abc/iGYzT/plcyz-f8A-158x114.jpg", "isAiGenerated": false }, "logoMetadata": { "id": "00f4b02153ee75f3c9dc4fc128ab041962", "url": "http://someImageUrl.com/logo.png" }}